#include<iostream.h> 
 int main()                                                  
{
 int ack(int m,int n); 
 int m,n,s;
 cout<<"ÇëÊäÈëmºÍn£º"<<endl;
 cin>>m>>n;
 s=ack(m,n);
 cout<<"s="<<s<<endl;
 return(0);
}
 int ack(int m,int n) 
{
 int t;
 if(m==0)
  t=n+1;
 else if(n==0)
  t=ack(m-1,1);
 else
  t=ack(m-1,ack(m,n-1));
 return(t);
}
